package domain

type AlibabaHmMarketingCouponQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页参数     */
	Page *AlibabaHmMarketingCouponQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `
}

func (s *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery) SetPage(v AlibabaHmMarketingCouponQueryitemsBasePageQuery) *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaHmMarketingCouponQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
